#include <stdio.h>
#include <stdlib.h>
#include <assert.h>
#include <string.h>

#include "tcp_like.h"
#include "reallife.h"

int real_life_is_on;

static void usage(const char *cmd)
{
  printf("usage : > %s identifiant [-p]\n", cmd);
  printf("-p : active le module real_life\n");
}

int main(int argc, char **argv){
  int client;

  if(argc < 2) {
    usage(argv[0]);
    return EXIT_FAILURE;
  }

  if(argc >= 3 && (strcmp(argv[2], "-p") == 0))
    {
      real_life_is_on = 1;
    }

  if(atoi(argv[1]) == 0){
    /* serveur */
    client = 0;
  } else {
    client = 1;
  }

  tcp_like_launch(client);

  return EXIT_SUCCESS;
}
