#ifndef SYNCH_H

#include <pthread.h>
#include <semaphore.h>


int get_lock(pthread_mutex_t *my_mutex);
int release_lock(pthread_mutex_t *my_mutex);
int init_lock(pthread_mutex_t *my_mutex);
int destroy_lock(pthread_mutex_t *my_mutex);
int sem_V(sem_t *my_sem);
int sem_P(sem_t *my_sem);
int sem_tryP(sem_t *my_sem);
int sem_getValue(sem_t my_sen);
int init_sem(sem_t *my_sem,int value);
int destroy_sem(sem_t *my_sem);

#define SYNCH_H 1
#endif
